/servicenow-batch | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
servicenow_batch_execute_requests | Execute multiple REST API requests in one call |
servicenow_batch_execute_requests
Execute multiple REST API requests in one call Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
batch_request_id | string | No | — | Optional identifier for this batch request (for correlation) |
rest_requests | object[] | Yes | — | Array of REST API requests to execute |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"batch_request_id": {
"type": "string",
"description": "Optional identifier for this batch request (for correlation)"
},
"rest_requests": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier for this sub-request (used to correlate responses)"
},
"method": {
"type": "string",
"enum": [
"GET",
"POST",
"PUT",
"PATCH",
"DELETE"
],
"description": "HTTP method for the sub-request"
},
"url": {
"type": "string",
"description": "Relative URL path with query parameters (e.g., '/api/now/table/incident?sysparm_limit=5')"
},
"body": {
"type": "string",
"description": "Base64-encoded request body (for POST/PUT/PATCH requests)"
},
"headers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
},
"description": "Additional headers for this sub-request"
},
"exclude_response_headers": {
"type": "boolean",
"description": "Exclude response headers from this sub-request's response"
}
},
"required": [
"id",
"method",
"url"
]
},
"description": "Array of REST API requests to execute"
}
},
"required": [
"PCID",
"rest_requests"
]
}

